ChangeSet 1.781.21.14, 2002/10/17 23:37:50-07:00, ddstreet@ieee.org

[PATCH] change devio-disconnect no-driver error code

The talk about disconnect locking reminded me of this - the error code in
the no-driver case for the disconnect ioctl isn't a unique error code.
This changes the error code to what getdriver() uses, -ENODATA.


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri Oct 18 14:43:20 2002
+++ b/drivers/usb/core/devio.c	Fri Oct 18 14:43:20 2002
@@ -1077,7 +1077,7 @@
 			     driver->name, ps->dev->devnum, ctrl.ifno);
 			usb_device_remove(&ifp->dev);
 		} else
-			retval = -EINVAL;
+			retval = -ENODATA;
 		break;
 
 	/* let kernel drivers try to (re)bind to the interface */
